View Issue Details

IDProjectCategoryView StatusLast Update
0002885Ham Radio DeluxeBugpublic2018-09-11 13:18
Reporterk2dls 
Assigned ToK7ZCZ 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.4.0.886 
Summary0002885: QSO Copy Paste Causes Minidump
DescriptionWhen copy/paste is used within ALE it causes a minidump.
Steps To ReproduceDouble click on an existing QSO.
Click copy.
Close the QSO.
Add a new QSO.
Click paste.
Minidump and exit.
Additional InformationI never use this function but wanted to copy a record for further testing. Occurred in build 883.

Minidump attached.
TagsNo tags attached.
ModuleLogbook
Sub-ModuleALE Window
Testing Beta Successful

Relationships

Activities

k2dls

2018-09-08 09:37

viewer  

HRDLogbook_20180908_143324.mdmp (521,674 bytes)

K7ZCZ

2018-09-08 14:14

manager   ~0006142

The crash is easy enough to fix. But once fixed, it reveals that copy-and-paste doesn't work at all.

We can verify that copying itself is the problem:

1) Open the Logbook
2) Open your favorite database
3) Double click on an entry to open the MLE for that entry
4) Use the "Copy" command in the "Edit" menu of the MLE"
5) Start up Notepad
6) Paste the clipboard into notepad

Notepad will show that the clipboard contains ADIF 3.0, which is an XML ADIF representation that I don't believe is supported in any other part of the program.

The values and fields are there, but they are mismatched; from the beginning of the single record, Notepad shows this, for the particular record I copied;

    <RECORDS>
        <RECORD>
            <ADDRESS>Thank you for the contact! 73</ADDRESS>
            <AGE>United States</AGE>
            <A_INDEX>20180908</A_INDEX>
            <ANT_AZ>160100</ANT_AZ>
            <ANT_EL>10137100</ANT_EL>
            <ARRL_SECT>DWIGHT L HAZEN</ARRL_SECT>
            <BAND>BLOOMINGTON</BAND>
            <USERDEF FIELDNAME="BIOGRAPHY">-14</USERDEF>
            <CHECK>-17</CHECK>


"-14", for example, is a lot more like an RST than a "Biography".

I'll see if I can sort out what's happening ...

K7ZCZ

2018-09-08 14:56

manager   ~0006143

found it. Fixed both the crash and the bogus behaviour with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4337

k2dls

2018-09-08 20:08

viewer   ~0006145

Confirmed fixed in 884.

g3ucq

2018-09-09 03:21

viewer   ~0006150

Fixed

Issue History

Date Modified Username Field Change
2018-09-08 09:37 k2dls New Issue
2018-09-08 09:37 k2dls File Added: HRDLogbook_20180908_143324.mdmp
2018-09-08 14:14 K7ZCZ Note Added: 0006142
2018-09-08 14:56 K7ZCZ Assigned To => K7ZCZ
2018-09-08 14:56 K7ZCZ Status new => resolved
2018-09-08 14:56 K7ZCZ Resolution open => fixed
2018-09-08 14:56 K7ZCZ Testing => Not Started
2018-09-08 14:56 K7ZCZ Note Added: 0006143
2018-09-08 20:08 k2dls Note Added: 0006145
2018-09-09 03:21 g3ucq Note Added: 0006150
2018-09-09 10:34 K7ZCZ Project 1 - Backlog => 3 - Current Dev List
2018-09-09 10:34 K7ZCZ Fixed in Version => 6.4.0.884
2018-09-09 20:16 WA9PIE Status resolved => closed
2018-09-09 20:16 WA9PIE Testing Not Started => Beta Successful
2018-09-11 13:15 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2018-09-11 13:18 WA9PIE Fixed in Version 6.4.0.884 => 6.4.0.886